From 3786a66843c6490b1310e112b00de8010f0dd98e Mon Sep 17 00:00:00 2001
Message-Id: <3786a66843c6490b1310e112b00de8010f0dd98e.1736405806.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 9 Jan 2025 06:56:32 +0000
Subject: [PATCH] gnu: Add r-shiny-router.

* gnu/packages/cran.scm (r-shiny-router): New variable.

Change-Id: I6f7e244bb2d8c267860a4a98d7a5e4b71d8a90b3
---
 gnu/packages/cran.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 98597e3bbe..2feb175532 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -7093,6 +7093,28 @@ (define-public r-shinymeta
 the end user.")
     (license license:gpl3)))
 
+(define-public r-shiny-router
+  (package
+    (name "r-shiny-router")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "shiny.router" version))
+       (sha256
+        (base32 "1zg8cdxmw620i1iv7jrghd768gw7iv52hi6lx79xvnfjz8w4si3x"))))
+    (properties `((upstream-name . "shiny.router")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-glue r-htmltools r-rlang r-shiny))
+    (native-inputs (list r-testthat))
+    (home-page "https://appsilon.github.io/shiny.router/")
+    (synopsis "Basic Routing for Shiny Web Applications")
+    (description
+     "This package provides a simple router for your Shiny apps.  The router
+allows you to create dynamic web applications with a real-time User Interface
+and easily share url to pages within your Shiny apps.")
+    (license license:expat)))
+
 ;; This package includes minified JavaScript files.  When upgrading please
 ;; check that there are no new minified JavaScript files.
 (define-public r-shinytree

base-commit: 395bd78fd082026584f35ee597f5c350f11f9d24
-- 
2.34.1

